INTERFACE
SUBROUTINE ETRANSINV_NHCONV(&
 & PU,PV,PT,PTL,PTM,PSPD,PSPDL,PSPDM,PSVD,PSP,PSPL,PSPM,&
 & PQ,PQL,PQM,PL,PLL,PLM,PI,PIL,PIM,PR,PS,PG&
 & ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSUR ,NFLEVG
USE YOMGEM , ONLY : NGPTOT
REAL(KIND=JPRB),INTENT(OUT) :: PU (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PV (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PT (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PTL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PTM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSPD (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSPDL(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSPDM(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSVD (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSP (NGPTOT)
REAL(KIND=JPRB),INTENT(OUT) :: PSPL (NGPTOT)
REAL(KIND=JPRB),INTENT(OUT) :: PSPM (NGPTOT)
REAL(KIND=JPRB),INTENT(OUT) :: PQ (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PQL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PQM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PLL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PLM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PI (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PIL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PIM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PR (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PS (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PG (NGPTOT,NFLEVG)
END SUBROUTINE ETRANSINV_NHCONV
END INTERFACE
